Bug 731711

Summary: touch: cannot touch `/etc/selinux/targeted/.rebuild': No such file or directory
Product: [Fedora] Fedora Reporter: Mads Kiilerich <mads>
Component: selinux-policyAssignee: Miroslav Grepl <mgrepl>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: dominick.grift, dwalsh, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: selinux-policy-3.10.0-25.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-09-13 06:08:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Mads Kiilerich 2011-08-18 12:45:43 UTC
While building a live image with selinux-policy-targeted-3.10.0-18.fc16.noarch:

...[624/670]touch: cannot touch `/etc/selinux/targeted/.rebuild': No such file or directory 
  Installing: selinux-policy-targeted      ##################### [625/670] 
...

A chicken/egg problem:

The preinstall scriptlet does
     touch /etc/selinux/targeted/.rebuild;
but /etc/selinux/targeted/ is owned by the same package and thus haven't been installed yet.

Comment 1 Daniel Walsh 2011-08-24 12:28:35 UTC
fixed in selinux-policy-3.10.0-20.fc16

Comment 2 Fedora Update System 2011-09-08 08:04:58 UTC
selinux-policy-3.10.0-25.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-25.fc16

Comment 3 Fedora Update System 2011-09-08 20:51:17 UTC
Package selinux-policy-3.10.0-25.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-25.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-25.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-09-13 06:07:39 UTC
selinux-policy-3.10.0-25.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.